import {  getInfo } from '@/api/login'
import { getToken } from '@/utils/auth'
import defAva from '@/assets/images/profile.jpg'

const useUserStore = defineStore(
  'user',
  {
    state: () => ({
      token: getToken(),
      name: '',
      avatar: '',
      roles: [],
      permissions: []
    }),
    actions: {
    
      // 获取用户信息
      getInfo() {
        return new Promise((resolve, reject) => {
          getInfo().then(res => {
            const user = res.data.user
            const avatar = (user.avatar == "" || user.avatar == null) ? defAva : user.avatar;

            if (res.data.roles && res.data.roles.length > 0) { // 验证返回的roles是否是一个非空数组
              this.roles = res.data.roles
              this.permissions = res.data.permissions
            } else {
              this.roles = ['ROLE_DEFAULT']
            }
            this.name = user.userName
            this.avatar = avatar;
            resolve(res)
          }).catch(error => {
            reject(error)
          })
        })
      },
      // // 退出系统
      // logOut() {
      //   return new Promise((resolve, reject) => {
      //     logout(this.token).then(() => {
      //       this.token = ''
      //       this.roles = []
      //       this.permissions = []
      //       removeToken()
      //       resolve()
      //     }).catch(error => {
      //       reject(error)
      //     })
      //   })
      // }
    }
  })

export default useUserStore
