import vue from '@vitejs/plugin-vue'

import createAutoImport from './auto-import'
import createSvgIcon from './svg-icon'
import createCompression from './compression'
import createSetupExtend from './setup-extend'
import { visualizer } from 'rollup-plugin-visualizer';
export default function createVitePlugins(viteEnv, isBuild = false) {
    const vitePlugins = [vue()]
    vitePlugins.push(createAutoImport())
  	vitePlugins.push(createSetupExtend())
    vitePlugins.push(createSvgIcon(isBuild))
  	isBuild && vitePlugins.push(...createCompression(viteEnv))
    vitePlugins.push( visualizer())
    return vitePlugins
}
